import { FieldType } from './types/field.model';
import { ReferenceRecord } from './types/reference-record.model';
export interface ReferenceContextData {
    id: string;
    key: string;
    name: string;
    fieldType: FieldType.REFERENCE;
    selectionType: 'single' | 'multi';
    targetId: string;
    columns: string[];
}
export declare function calculateScale(parentEl: Element, translateX: string, translateY: string, padding: number): void;
/**
 * @param reference ContextData reference field
 * @param recordId this.record.id
 * @param recordIds this.record[REFERENCE_FIELD]'s value
 */
export declare function getReferenceData(reference: ReferenceContextData, recordId: string, recordIds: string[], token: string, origin: string): Promise<ReferenceRecord[] | void>;
