import { FieldType } from './field.model';
export interface ContextDataApplication {
    id: string;
    name: string;
    fields: {
        id: string;
        name: string;
        key: string;
        fieldType: FieldType;
        values?: unknown[];
        selectionType?: unknown;
        inputType?: unknown;
        min?: number;
        max?: number;
        targetId?: unknown;
        columns?: unknown;
        readOnly?: boolean;
        required?: boolean;
    }[];
}
export interface ContextDataUser {
    id: string;
    name: string;
    displayName: string;
    isAdmin: boolean;
    isMe: boolean;
    createdDate: string;
    roles: {
        id: string;
        name: string;
    }[];
    groups: {
        id: string;
        name: string;
    }[];
}
export interface ContextDataProp {
    application: ContextDataApplication;
    currentUser: ContextDataUser;
    origin: string;
    token: string;
}
