export interface ReportProp {
    data: {
        name: string;
        series: {
            name: string;
            value: number;
        }[];
    }[];
    rawData: {
        $type: string;
        count: number;
        [key: string]: unknown;
    }[];
    query: {
        dimensions: {
            fieldId: string;
            groupByType: string;
        }[];
        measures: {
            fieldId: string;
            aggregateType: string;
        }[];
    };
}
